module Sawyer
  module Logger
    def self.new file=STDOUT, level=::Logger::INFO
      logger           = ::Logger.new file
      logger.level     = level
      logger.formatter = proc { |severity, datetime, _, msg|
        "#{severity} [#{datetime.iso8601(6)}] #{File::basename caller[4]} -- #{msg}\n"
      }
      return logger
    end
  end
end